Name:           knapsen
Version:        1.0.1
Release:        9%{?dist}
Summary:        Schnapsen card game for KDE
Summary(de):    Schnapsen-Kartenspiel für KDE

License:        GPLv3+
URL:            http://kde-apps.org/content/show.php/Knapsen?content=158488
Source0:        http://kde-apps.org/CONTENT/content-files/158488-%{name}-1.0.1.tar.gz
# https://raw.githubusercontent.com/Dgzt/knapsen/master/po/de.po
Source1:        %{name}-de.po
Source2:        %{name}.appdata.xml
Source3:        %{name}.6
Patch0:         %{name}-desktop.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdebase-workspace-devel
BuildRequires:  libappstream-glib
BuildRequires:  libkdegames4-devel


%description
Schnapsen is the Austrian variant of the German card game Sixty-Six.

%description -l de
Schnapsen ist die österreichische Variante des deutschen
Kartenspiels Sechsundsechzig.

%prep
%setup -q
cp -p %{SOURCE1} po/de.po
cd src
%patch0 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make install DESTDIR=%{buildroot} -C %{_target_platform}
mkdir -p %{buildroot}%{_kde4_datadir}/appdata/
install -p -m 644 %{SOURCE2} %{buildroot}%{_kde4_datadir}/appdata/

mkdir -p %{buildroot}/%{_mandir}/man6
install -p %SOURCE3 %{buildroot}/%{_mandir}/man6

%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_kde4_datadir}/appdata/%{name}.appdata.xml ||:
desktop-file-validate %{buildroot}/%{_datadir}/applications/kde4/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc README
%license COPYING
%{_kde4_bindir}/%{name}
%{_kde4_datadir}/appdata/%{name}.appdata.xml
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/config.kcfg/%{name}.kcfg
%{_kde4_datadir}/icons/hicolor/*/apps/%{name}.png
%{_kde4_appsdir}/%{name}/
%{_mandir}/man6/*.6.*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 20 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 1.0.1-7
- Rebuilt for libkdegames4

* Fri Jan 16 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 1.0.1-6
- Add libappstream-glib to BuildRequires

* Fri Jan 16 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 1.0.1-5
- Fix appdata file
- Remove redundant hicolor-icon-theme requirement
- Install man page

* Mon Jan 12 2015 Mario Blättermann <mario.blaettermann@gmail.com> - 1.0.1-4
- Add German translation, backported from Git
- German summary and description
- Use the %%license macro
- Appdata file

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 12 2014 Mario Blättermann <mariobl@fedoraproject.org- 1.0.1-1
- New upstream release

* Sat Oct 26 2013 Mario Blättermann <mariobl@fedoraproject.org> 1.0.0-1
- Initial package